Ruby: pm_interpolated_string_node Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
pm_interpolated_string_node Struct Reference

InterpolatedStringNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | opening_loc
| InterpolatedStringNode::opening_loc.
struct pm_node_list | parts
| InterpolatedStringNode::parts.
pm_location_t | closing_loc
| InterpolatedStringNode::closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

InterpolatedStringNode.

Represents a string literal that contains interpolation.

    "foo #{bar} baz"
    ^^^^^^^^^^^^^^^^

Type: PM_INTERPOLATED_STRING_NODE

Flags (pm_interpolated_string_node_flags):

- PM_INTERPOLATED_STRING_NODE_FLAGS_FROZEN
- PM_INTERPOLATED_STRING_NODE_FLAGS_MUTABLE

Definition at line 5333 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_interpolated_string_node::base

The embedded base node.

Definition at line 5335 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_interpolated_string_node::closing_loc

InterpolatedStringNode::closing_loc.

Definition at line 5351 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_interpolated_string_node::opening_loc

InterpolatedStringNode::opening_loc.

Definition at line 5341 of file ast.h.

Referenced by pm_dump_json().

## ◆ parts

struct pm_node_list pm_interpolated_string_node::parts

InterpolatedStringNode::parts.

Definition at line 5346 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h